package com.zanxiang.game.module.mybatis.entity;

import com.baomidou.mybatisplus.annotation.*;
import lombok.*;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @author : lingfeng
 * @time : 2022-06-06
 * @description : 游戏列表
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ToString
@Builder
@TableName("t_game")
public class Game implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 游戏ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * CP ID
     */
    private Long cpId;

    /**
     * 游戏名称
     */
    private String name;

    /**
     * 游戏类型
     */
    private Long category;

    /**
     * H5游戏跳转地址
     */
    private String h5GameUrl;

    /**
     * H5游戏登录logo图片
     */
    private String h5LoginLogo;

    /**
     * 游戏是否投放
     */
    private Boolean isPut;

    /**
     * 游戏标签
     */
    private String tags;

    /**
     * 上线状态 1 : 未接入, 2 : 接入中, 3 : 上线, 4 : 下线
     */
    private Integer status;

    /**
     * 分成比例
     */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private Double shareScale;

    /**
     * 父游戏id
     */
    private Long parentId;

    /**
     * 关联H5游戏id
     */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private Long h5GameId;

    /**
     * 导量游戏id
     */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private Long guideGameId;

    /**
     * 游戏备注
     */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private String remark;

    /**
     * 1 删除  0 正常
     */
    @TableLogic
    private Integer isDelete;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;
}