package com.zanxiang.game.module.sdk.controller;

import com.zanxiang.game.module.sdk.annotation.UnSignCheck;
import com.zanxiang.game.module.sdk.pojo.param.UserData;
import com.zanxiang.game.module.sdk.pojo.vo.GameInitVO;
import com.zanxiang.game.module.sdk.service.IGameAppletService;
import com.zanxiang.module.util.pojo.ResultVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiResponse;
import io.swagger.annotations.ApiResponses;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author : lingfeng
 * @time : 2023-01-03
 * @description : sdk初始化接口
 */
@Api(tags = "sdk初始化接口")
@RestController
@RequestMapping(value = "/api/init")
public class InitController {

    @Autowired
    private IGameAppletService gameAppletService;

    @UnSignCheck
    @ApiOperation(value = "(H5和微信小游戏)SDK参数初始化")
    @PostMapping("/applet")
    @ApiResponses(value = {@ApiResponse(code = 200, message = "成功", response = GameInitVO.class)})
    public ResultVO<GameInitVO> h5AndAppletInit(UserData userData) {
        return ResultVO.ok(gameAppletService.h5AndAppletInit(userData));
    }

    @UnSignCheck
    @ApiOperation(value = "微信小游戏壳包控制开关")
    @PostMapping("/shell/switch")
    @ApiResponses(value = {@ApiResponse(code = 200, message = "成功", response = Boolean.class)})
    public ResultVO<Boolean> appletShellSwitch(@RequestParam String appId) {
        return ResultVO.ok(gameAppletService.appletShellSwitch(appId));
    }
}
