package com.zanxiang.game.module.sdk.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author : lingfeng
 * @time : 2023-06-29
 * @description : 游戏初始化
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class GameInitVO {

    /**
     * 游戏名称
     */
    @ApiModelProperty(notes = "游戏名称")
    private String gameName;

    /**
     * 游戏应用(小游戏/公众号)appId
     */
    @ApiModelProperty(notes = "游戏应用(小游戏/公众号)appId")
    private String appId;

    /**
     * 前端appKey
     */
    @ApiModelProperty(notes = "前端appKey")
    private String appKey;

    /**
     * H5游戏是否使用应用授权登录
     */
    @ApiModelProperty(notes = "H5游戏是否使用应用授权登录")
    private Boolean isPut;

    /**
     * H5游戏跳转地址
     */
    @ApiModelProperty(notes = "H5游戏跳转地址")
    private String h5GameUrl;

    /**
     * H5游戏登录logo图片
     */
    @ApiModelProperty(notes = "H5游戏跳转地址")
    private String h5LoginLogo;
}
